Agora Java API Reference for Android

Public Member Functions | List of all members
io.agora.rtc2.RtcEngineInternal Class Referenceabstract
Inheritance diagram for io.agora.rtc2.RtcEngineInternal:

## Public Member Functions
abstract int | setProfile (String profile, boolean merge)
abstract int | enableTransportQualityIndication (boolean enabled)
abstract String | makeQualityReportUrl (String channel, String listenerUid, String speakerUid, int format)
abstract int | updateSharedContext (EGLContext sharedContext)
abstract int | updateSharedContext (android.opengl.EGLContext sharedContext)
abstract int | setTextureId (int id, EGLContext eglContext, int width, int height, long ts)
abstract int | setTextureId (int id, android.opengl.EGLContext eglContext, int width, int height, long ts)
abstract int | monitorAudioRouteChange (boolean isMonitoring)
abstract int | setApiCallMode (int syncCallTimeout)
Public Member Functions inherited from io.agora.rtc2.RtcEngineEx
abstract int | muteLocalAudioStreamEx (boolean muted, RtcConnection connection)
abstract int | muteLocalVideoStreamEx (boolean muted, RtcConnection connection)
abstract int | muteAllRemoteAudioStreamsEx (boolean muted, RtcConnection connection)
abstract int | muteAllRemoteVideoStreamsEx (boolean muted, RtcConnection connection)
abstract int | muteRemoteAudioStreamEx (int uid, boolean muted, RtcConnection connection)
abstract int | muteRemoteVideoStreamEx (int uid, boolean muted, RtcConnection connection)
abstract int | setRemoteVideoStreamTypeEx (int uid, Constants.VideoStreamType streamType, RtcConnection connection)
abstract int | setRemoteVideoStreamTypeEx (int uid, int streamType, RtcConnection connection)
abstract int | setHighPriorityUserListEx (int[] uidList, int option, RtcConnection connection)
abstract int | setSubscribeAudioBlocklistEx (int[] uidList, RtcConnection connection)
abstract int | setSubscribeAudioAllowlistEx (int[] uidList, RtcConnection connection)
abstract int | setSubscribeVideoBlocklistEx (int[] uidList, RtcConnection connection)
abstract int | setSubscribeVideoAllowlistEx (int[] uidList, RtcConnection connection)
abstract int | setRemoteRenderModeEx (int uid, int renderMode, int mirrorMode, RtcConnection connection)
abstract int | setupRemoteVideoEx (VideoCanvas remote, RtcConnection connection)
abstract int | setVideoEncoderConfigurationEx (VideoEncoderConfiguration config, RtcConnection connection)
abstract int | updateChannelMediaOptionsEx (ChannelMediaOptions options, RtcConnection connection)
abstract int | joinChannelEx (String token, RtcConnection connection, ChannelMediaOptions options, IRtcEngineEventHandler eventHandler)
abstract int | leaveChannelEx (RtcConnection connection)
abstract int | leaveChannelEx (RtcConnection connection, LeaveChannelOptions options)
abstract int | leaveChannelWithUserAccountEx (String channelId, String userAccount)
abstract int | leaveChannelWithUserAccountEx (String channelId, String userAccount, LeaveChannelOptions options)
abstract int | enableDualStreamModeEx (boolean enabled, SimulcastStreamConfig streamConfig, RtcConnection connection)
abstract int | setDualStreamModeEx (Constants.SimulcastStreamMode mode, SimulcastStreamConfig streamConfig, RtcConnection connection)
abstract int | setSimulcastConfigEx (SimulcastConfig simulcastConfig, RtcConnection connection)
abstract int | getConnectionStateEx (RtcConnection connection)
abstract int | sendCustomReportMessageEx (String id, String category, String event, String label, int value, RtcConnection connection)
abstract int | sendStreamMessageEx (int streamId, byte[] message, RtcConnection connection)
abstract int | createDataStreamEx (boolean reliable, boolean ordered, RtcConnection connection)
abstract int | createDataStreamEx (DataStreamConfig config, RtcConnection connection)
abstract int | joinChannelWithUserAccountEx (String token, String channelId, String userAccount, ChannelMediaOptions options, IRtcEngineEventHandler eventHandler)
abstract int | getUserInfoByUserAccountEx (String userAccount, UserInfo userInfo, RtcConnection connection)
abstract int | getUserInfoByUidEx (int uid, UserInfo userInfo, RtcConnection connection)
abstract int | adjustRecordingSignalVolumeEx (int volume, RtcConnection connection)
abstract int | muteRecordingSignalEx (boolean muted, RtcConnection connection)
abstract int | adjustUserPlaybackSignalVolumeEx (int uid, int volume, RtcConnection connection)
abstract int | setRemoteVoicePositionEx (int uid, double pan, double gain, RtcConnection connection)
abstract int | setRemoteVideoSubscriptionOptionsEx (int uid, VideoSubscriptionOptions options, RtcConnection rtcConnection)
abstract int | setRemoteUserSpatialAudioParamsEx (int uid, SpatialAudioParams params, RtcConnection connection)
abstract int | addVideoWatermarkEx (String watermarkUrl, WatermarkOptions options, RtcConnection connection)
abstract int | clearVideoWatermarkEx (RtcConnection connection)
abstract int | enableAudioVolumeIndicationEx (int interval, int smooth, boolean reportVad, RtcConnection connection)
abstract int | takeSnapshotEx (RtcConnection connection, int uid, String filePath)
abstract int | takeSnapshotEx (RtcConnection connection, int uid, SnapshotConfig config)
abstract int | enableContentInspectEx (boolean enabled, ContentInspectConfig config, RtcConnection connection)
abstract int | startRtmpStreamWithoutTranscodingEx (String url, RtcConnection connection)
abstract int | startRtmpStreamWithTranscodingEx (String url, LiveTranscoding transcoding, RtcConnection connection)
abstract int | updateRtmpTranscodingEx (LiveTranscoding transcoding, RtcConnection connection)
abstract int | stopRtmpStreamEx (String url, RtcConnection connection)
abstract int | startOrUpdateChannelMediaRelayEx (ChannelMediaRelayConfiguration channelMediaRelayConfiguration, RtcConnection connection)
abstract int | stopChannelMediaRelayEx (RtcConnection connection)
abstract int | pauseAllChannelMediaRelayEx (RtcConnection connection)
abstract int | resumeAllChannelMediaRelayEx (RtcConnection connection)
abstract int | startMediaRenderingTracingEx (RtcConnection connection)
| Start tracing media rendering events. More...
abstract int | setParametersEx (String parameters, RtcConnection connection)
abstract String | getCallIdEx (RtcConnection connection)
abstract void | addHandlerEx (IRtcEngineEventHandler handler, RtcConnection connection)
abstract void | removeHandlerEx (IRtcEngineEventHandler handler, RtcConnection connection)
abstract int | enableEncryptionEx (boolean enabled, EncryptionConfig config, RtcConnection connection)
abstract int | sendAudioMetadataEx (byte[] metadata, RtcConnection connection)
abstract int | enableVideoImageSourceEx (boolean enabled, ImageTrackOptions options, RtcConnection connection)
abstract int | preloadEffectEx (RtcConnection connection, int soundId, String filePath)
abstract int | preloadEffectEx (RtcConnection connection, int soundId, String filePath, int startPos)
abstract int | playEffectEx (RtcConnection connection, int soundId, String filePath, int loopCount, double pitch, double pan, double gain, boolean publish)
abstract int | playEffectEx (RtcConnection connection, int soundId, String filePath, int loopCount, double pitch, double pan, double gain, boolean publish, int startPos)
Public Member Functions inherited from io.agora.rtc2.RtcEngine
abstract int | setChannelProfile (int profile)
abstract int | setClientRole (int role)
abstract int | setClientRole (int role, ClientRoleOptions options)
abstract int | sendCustomReportMessage (String id, String category, String event, String label, int value)
abstract int | preloadChannel (String token, String channelName, int optionalUid)
abstract int | preloadChannelWithUserAccount (String token, String channelName, String userAccount)
abstract int | updatePreloadChannelToken (String token)
abstract int | joinChannel (String token, String channelId, String optionalInfo, int uid)
abstract int | joinChannel (String token, String channelId, int uid, ChannelMediaOptions options)
abstract int | registerLocalUserAccount (String appId, String userAccount)
abstract int | joinChannelWithUserAccount (String token, String channelName, String userAccount)
abstract int | joinChannelWithUserAccount (String token, String channelName, String userAccount, ChannelMediaOptions options)
abstract int | getUserInfoByUserAccount (String userAccount, UserInfo userInfo)
abstract int | getUserInfoByUid (int uid, UserInfo userInfo)
abstract int | leaveChannel ()
abstract int | leaveChannel (LeaveChannelOptions options)
abstract int | renewToken (String token)
abstract DeviceInfo | getAudioDeviceInfo ()
abstract int | enableWebSdkInteroperability (boolean enabled)
abstract int | getConnectionState ()
abstract int | enableAudio ()
abstract int | disableAudio ()
abstract int | pauseAudio ()
abstract int | resumeAudio ()
abstract int | setAudioProfile (int profile)
abstract int | setAudioProfile (int profile, int scenario)
abstract int | setAudioScenario (int scenario)
abstract int | setHighQualityAudioParameters (boolean fullband, boolean stereo, boolean fullBitrate)
abstract int | adjustRecordingSignalVolume (int volume)
abstract int | adjustPlaybackSignalVolume (int volume)
abstract int | enableAudioVolumeIndication (int interval, int smooth, boolean reportVad)
abstract int | enableLocalAudio (boolean enabled)
abstract int | muteLocalAudioStream (boolean muted)
abstract int | muteRemoteAudioStream (int uid, boolean muted)
abstract int | adjustUserPlaybackSignalVolume (int uid, int volume)
abstract int | muteAllRemoteAudioStreams (boolean muted)
abstract int | enableVideo ()
abstract int | disableVideo ()
abstract int | setVideoEncoderConfiguration (VideoEncoderConfiguration config)
abstract CodecCapInfo[] | queryCodecCapability ()
abstract int | queryDeviceScore ()
abstract AgoraFocalLengthInfo[] | queryCameraFocalLengthCapability ()
abstract int | setCameraCapturerConfiguration (CameraCapturerConfiguration config)
abstract int | setupLocalVideo (VideoCanvas local)
abstract int | setupRemoteVideo (VideoCanvas remote)
abstract int | setRemoteRenderMode (int uid, int renderMode)
abstract int | setLocalRenderMode (int renderMode)
abstract int | setRemoteRenderMode (int uid, int renderMode, int mirrorMode)
abstract int | setLocalRenderMode (int renderMode, int mirrorMode)
abstract int | startPreview ()
abstract int | startPreview (Constants.VideoSourceType sourceType)
abstract int | stopPreview ()
abstract int | stopPreview (Constants.VideoSourceType sourceType)
abstract int | enableLocalVideo (boolean enabled)
abstract int | startCameraCapture (Constants.VideoSourceType sourceType, CameraCapturerConfiguration config)
abstract int | stopCameraCapture (Constants.VideoSourceType sourceType)
abstract int | startLocalVideoTranscoder (LocalTranscoderConfiguration config)
abstract int | stopLocalVideoTranscoder ()
abstract int | updateLocalTranscoderConfiguration (LocalTranscoderConfiguration config)
abstract int | startLocalAudioMixer (LocalAudioMixerConfiguration config)
abstract int | updateLocalAudioMixerConfiguration (LocalAudioMixerConfiguration config)
abstract int | stopLocalAudioMixer ()
abstract int | muteLocalVideoStream (boolean muted)
abstract int | muteRemoteVideoStream (int uid, boolean muted)
abstract int | muteAllRemoteVideoStreams (boolean muted)
abstract int | setBeautyEffectOptions (boolean enabled, BeautyOptions options)
abstract int | setBeautyEffectOptions (boolean enabled, BeautyOptions options, Constants.MediaSourceType sourceType)
abstract int | setFaceShapeBeautyOptions (boolean enabled, FaceShapeBeautyOptions options)
abstract int | setFaceShapeBeautyOptions (boolean enabled, FaceShapeBeautyOptions options, Constants.MediaSourceType sourceType)
abstract FaceShapeBeautyOptions | getFaceShapeBeautyOptions ()
abstract FaceShapeBeautyOptions | getFaceShapeBeautyOptions (Constants.MediaSourceType sourceType)
abstract int | setFaceShapeAreaOptions (FaceShapeAreaOptions options)
abstract int | setFaceShapeAreaOptions (FaceShapeAreaOptions options, Constants.MediaSourceType sourceType)
abstract FaceShapeAreaOptions | getFaceShapeAreaOptions (int shapeArea)
abstract FaceShapeAreaOptions | getFaceShapeAreaOptions (int shapeArea, Constants.MediaSourceType sourceType)
abstract int | setFilterEffectOptions (boolean enabled, FilterEffectOptions options)
abstract int | setFilterEffectOptions (boolean enabled, FilterEffectOptions options, Constants.MediaSourceType sourceType)
abstract int | setLowlightEnhanceOptions (boolean enabled, LowLightEnhanceOptions options)
abstract int | setLowlightEnhanceOptions (boolean enabled, LowLightEnhanceOptions options, Constants.MediaSourceType sourceType)
abstract int | setVideoDenoiserOptions (boolean enabled, VideoDenoiserOptions options)
abstract int | setVideoDenoiserOptions (boolean enabled, VideoDenoiserOptions options, Constants.MediaSourceType sourceType)
abstract int | setColorEnhanceOptions (boolean enabled, ColorEnhanceOptions options)
abstract int | setColorEnhanceOptions (boolean enabled, ColorEnhanceOptions options, Constants.MediaSourceType sourceType)
abstract IVideoEffectObject | createVideoEffectObject (String bundlePath, Constants.MediaSourceType sourceType)
| Creates a video effect object. More...
abstract int | destroyVideoEffectObject (IVideoEffectObject videoEffectObject)
| Destroys video effect object. More...
abstract int | enableVirtualBackground (boolean enabled, VirtualBackgroundSource backgroundSource, SegmentationProperty segproperty)
abstract int | enableVirtualBackground (boolean enabled, VirtualBackgroundSource backgroundSource, SegmentationProperty segproperty, Constants.MediaSourceType sourceType)
abstract int | setDefaultAudioRoutetoSpeakerphone (boolean defaultToSpeaker)
abstract int | setEnableSpeakerphone (boolean enabled)
abstract int | setRouteInCommunicationMode (int route)
abstract boolean | isSpeakerphoneEnabled ()
abstract int | enableInEarMonitoring (boolean enabled)
abstract int | enableInEarMonitoring (boolean enabled, int includeAudioFilters)
abstract int | setInEarMonitoringVolume (int volume)
abstract int | setLocalVoicePitch (double pitch)
abstract int | setLocalVoiceFormant (double formantRatio)
abstract int | setLocalVoiceEqualization (Constants.AUDIO_EQUALIZATION_BAND_FREQUENCY bandFrequency, int bandGain)
abstract int | setLocalVoiceReverb (Constants.AUDIO_REVERB_TYPE reverbKey, int value)
abstract int | setHeadphoneEQPreset (int preset)
abstract int | setHeadphoneEQParameters (int lowGain, int highGain)
abstract int | setAudioEffectPreset (int preset)
abstract int | setVoiceBeautifierPreset (int preset)
abstract int | setVoiceConversionPreset (int preset)
abstract int | setAudioEffectParameters (int preset, int param1, int param2)
abstract int | setVoiceBeautifierParameters (int preset, int param1, int param2)
abstract int | setVoiceConversionParameters (int preset, int param1, int param2)
abstract int | enableSoundPositionIndication (boolean enabled)
abstract int | setRemoteVoicePosition (int uid, double pan, double gain)
abstract int | enableVoiceAITuner (boolean enabled, Constants.VOICE_AI_TUNER_TYPE type)
abstract int | startAudioMixing (String filePath, boolean loopback, int cycle)
abstract int | enableSpatialAudio (boolean enabled)
abstract int | setRemoteUserSpatialAudioParams (int uid, SpatialAudioParams params)
abstract int | setRemoteVideoSubscriptionOptions (int uid, VideoSubscriptionOptions options)
abstract int | setAINSMode (boolean enabled, int mode)
abstract int | startAudioMixing (String filePath, boolean loopback, int cycle, int startPos)
abstract int | stopAudioMixing ()
abstract int | pauseAudioMixing ()
abstract int | resumeAudioMixing ()
abstract int | adjustAudioMixingVolume (int volume)
abstract int | adjustAudioMixingPlayoutVolume (int volume)
abstract int | adjustAudioMixingPublishVolume (int volume)
abstract int | getAudioMixingPlayoutVolume ()
abstract int | getAudioMixingPublishVolume ()
abstract int | getAudioMixingDuration ()
abstract int | getAudioMixingCurrentPosition ()
abstract int | setAudioMixingPosition (int pos)
abstract int | setAudioMixingDualMonoMode (Constants.AudioMixingDualMonoMode mode)
abstract int | setAudioMixingPitch (int pitch)
abstract int | setAudioMixingPlaybackSpeed (int speed)
abstract int | selectAudioTrack (int audioIndex)
abstract int | getAudioTrackCount ()
abstract IAudioEffectManager | getAudioEffectManager ()
abstract int | startAudioRecording (String filePath, int quality)
abstract int | startAudioRecording (AudioRecordingConfiguration config)
abstract int | stopAudioRecording ()
abstract int | startEchoTest (EchoTestConfiguration config)
abstract int | stopEchoTest ()
abstract int | startLastmileProbeTest (LastmileProbeConfig config)
abstract int | stopLastmileProbeTest ()
abstract int | setExternalAudioSource (boolean enabled, int sampleRate, int channels)
abstract int | setExternalAudioSink (boolean enabled, int sampleRate, int channels)
abstract int | setExternalRemoteEglContext (Object eglContext)
abstract int | pullPlaybackAudioFrame (byte[] data, int lengthInByte)
abstract int | pullPlaybackAudioFrame (ByteBuffer data, int lengthInByte)
abstract int | startRecordingDeviceTest (int indicationInterval)
abstract int | stopRecordingDeviceTest ()
abstract int | startPlaybackDeviceTest (String audioFileName)
abstract int | stopPlaybackDeviceTest ()
abstract int | createCustomAudioTrack (Constants.AudioTrackType trackType, AudioTrackConfig config)
abstract int | destroyCustomAudioTrack (int trackId)
abstract int | setExternalAudioSource (boolean enabled, int sampleRate, int channels, boolean localPlayback, boolean publish)
abstract int | pushExternalAudioFrame (byte[] data, long timestamp)
abstract int | pushExternalAudioFrame (ByteBuffer data, long timestamp, int trackId)
abstract int | pushExternalAudioFrame (byte[] data, long timestamp, int sampleRate, int channels, Constants.BytesPerSample bytesPerSample, int trackId)
abstract int | pushExternalAudioFrame (ByteBuffer data, long timestamp, int sampleRate, int channels, Constants.BytesPerSample bytesPerSample, int trackId)
abstract int | setExternalVideoSource (boolean enable, boolean useTexture, Constants.ExternalVideoSourceType sourceType)
abstract int | setExternalVideoSource (boolean enable, boolean useTexture, Constants.ExternalVideoSourceType sourceType, EncodedVideoTrackOptions encodedOpt)
abstract boolean | pushExternalVideoFrame (VideoFrame frame)
abstract int | pushExternalVideoFrameById (VideoFrame frame, int videoTrackId)
abstract int | pushExternalVideoFrameById (AgoraVideoFrame frame, int videoTrackId)
abstract int | pushExternalEncodedVideoFrame (ByteBuffer data, EncodedVideoFrameInfo frameInfo)
abstract int | pushExternalEncodedVideoFrameById (ByteBuffer data, EncodedVideoFrameInfo frameInfo, int videoTrackId)
abstract boolean | pushExternalVideoFrame (AgoraVideoFrame frame)
abstract boolean | isTextureEncodeSupported ()
abstract int | registerAudioFrameObserver (IAudioFrameObserver observer)
abstract int | registerAudioEncodedFrameObserver (AudioEncodedFrameObserverConfig config, IAudioEncodedFrameObserver observer)
abstract int | setRecordingAudioFrameParameters (int sampleRate, int channel, int mode, int samplesPerCall)
abstract int | setPlaybackAudioFrameParameters (int sampleRate, int channel, int mode, int samplesPerCall)
abstract int | setMixedAudioFrameParameters (int sampleRate, int channel, int samplesPerCall)
abstract int | setEarMonitoringAudioFrameParameters (int sampleRate, int channel, int mode, int samplesPerCall)
abstract int | addVideoWatermark (AgoraImage watermark)
abstract int | addVideoWatermark (String watermarkUrl, WatermarkOptions options)
abstract int | clearVideoWatermarks ()
abstract int | setRemoteUserPriority (int uid, int userPriority)
abstract int | setLocalPublishFallbackOption (Constants.StreamFallbackOptions option)
abstract int | setLocalPublishFallbackOption (int option)
abstract int | setRemoteSubscribeFallbackOption (Constants.StreamFallbackOptions option)
abstract int | setRemoteSubscribeFallbackOption (int option)
abstract int | setHighPriorityUserList (int[] uidList, int option)
abstract int | enableDualStreamMode (boolean enabled)
abstract int | enableDualStreamMode (boolean enabled, SimulcastStreamConfig streamConfig)
abstract int | setDualStreamMode (Constants.SimulcastStreamMode mode)
abstract int | setDualStreamMode (Constants.SimulcastStreamMode mode, SimulcastStreamConfig streamConfig)
abstract int | setSimulcastConfig (SimulcastConfig simulcastConfig)
abstract int | setLocalRenderTargetFps (Constants.VideoSourceType sourceType, int targetFps)
abstract int | setRemoteRenderTargetFps (int targetFps)
abstract int | setRemoteVideoStreamType (int uid, Constants.VideoStreamType streamType)
abstract int | setRemoteVideoStreamType (int uid, int streamType)
abstract int | setRemoteDefaultVideoStreamType (Constants.VideoStreamType streamType)
abstract int | setRemoteDefaultVideoStreamType (int streamType)
abstract int | setSubscribeAudioBlocklist (int[] uidList)
abstract int | setSubscribeAudioAllowlist (int[] uidList)
abstract int | setSubscribeVideoBlocklist (int[] uidList)
abstract int | setSubscribeVideoAllowlist (int[] uidList)
abstract int | enableEncryption (boolean enabled, EncryptionConfig config)
abstract int | startRtmpStreamWithoutTranscoding (String url)
abstract int | startRtmpStreamWithTranscoding (String url, LiveTranscoding transcoding)
abstract int | updateRtmpTranscoding (LiveTranscoding transcoding)
abstract int | stopRtmpStream (String url)
abstract int | createDataStream (boolean reliable, boolean ordered)
abstract int | createDataStream (DataStreamConfig config)
abstract int | sendStreamMessage (int streamId, byte[] message)
abstract int | setVideoQualityParameters (boolean preferFrameRateOverImageQuality)
abstract int | setLocalVideoMirrorMode (int mode)
abstract int | switchCamera ()
abstract int | switchCamera (String cameraId)
abstract boolean | isCameraZoomSupported ()
abstract boolean | isCameraTorchSupported ()
abstract boolean | isCameraFocusSupported ()
abstract boolean | isCameraExposurePositionSupported ()
abstract boolean | isCameraAutoFocusFaceModeSupported ()
abstract boolean | isCameraFaceDetectSupported ()
abstract boolean | isCameraExposureSupported ()
abstract int | setCameraZoomFactor (float factor)
abstract float | getCameraMaxZoomFactor ()
abstract int | setCameraFocusPositionInPreview (float positionX, float positionY)
abstract int | setCameraExposurePosition (float positionXinView, float positionYinView)
abstract int | enableFaceDetection (boolean enabled)
abstract int | setCameraTorchOn (boolean isOn)
abstract int | setCameraAutoFocusFaceModeEnabled (boolean enabled)
abstract int | setCameraExposureFactor (int factor)
abstract String | getCallId ()
abstract int | rate (String callId, int rating, String description)
abstract int | complain (String callId, String description)
abstract int | setLogFile (String filePath)
abstract int | setLogFilter (int filter)
abstract int | setLogLevel (int level)
abstract int | setLogFileSize (long fileSizeInKBytes)
abstract String | uploadLogFile ()
abstract int | writeLog (int level, String format, Object... args)
abstract long | getNativeHandle ()
void | addHandler (IRtcEngineEventHandler handler)
void | removeHandler (IRtcEngineEventHandler handler)
abstract boolean | enableHighPerfWifiMode (boolean enable)
abstract long | getNativeMediaPlayer (int sourceId)
abstract int | queryScreenCaptureCapability ()
abstract void | monitorHeadsetEvent (boolean monitor)
abstract void | monitorBluetoothHeadsetEvent (boolean monitor)
abstract void | setPreferHeadset (boolean enabled)
abstract int | setParameters (String parameters)
abstract String | getParameters (String parameters)
abstract String | getParameter (String parameter, String args)
abstract int | registerMediaMetadataObserver (IMetadataObserver observer, int type)
abstract int | unregisterMediaMetadataObserver (IMetadataObserver observer, int type)
abstract int | startOrUpdateChannelMediaRelay (ChannelMediaRelayConfiguration channelMediaRelayConfiguration)
abstract int | stopChannelMediaRelay ()
abstract int | pauseAllChannelMediaRelay ()
abstract int | resumeAllChannelMediaRelay ()
abstract int | updateChannelMediaOptions (ChannelMediaOptions options)
abstract int | muteRecordingSignal (boolean muted)
abstract int | setPlaybackAudioFrameBeforeMixingParameters (int sampleRate, int channel)
abstract int | enableAudioSpectrumMonitor (int intervalInMS)
abstract int | disableAudioSpectrumMonitor ()
abstract int | registerAudioSpectrumObserver (IAudioSpectrumObserver observer)
abstract int | unRegisterAudioSpectrumObserver (IAudioSpectrumObserver observer)
abstract double | getEffectsVolume ()
abstract int | setEffectsVolume (double volume)
abstract int | preloadEffect (int soundId, String filePath)
abstract int | preloadEffect (int soundId, String filePath, int startPos)
abstract int | playEffect (int soundId, String filePath, int loopCount, double pitch, double pan, double gain, boolean publish)
abstract int | playEffect (int soundId, String filePath, int loopCount, double pitch, double pan, double gain, boolean publish, int startPos)
abstract int | playAllEffects (int loopCount, double pitch, double pan, double gain, boolean publish)
abstract int | getVolumeOfEffect (int soundId)
abstract int | setVolumeOfEffect (int soundId, double volume)
abstract int | pauseEffect (int soundId)
abstract int | pauseAllEffects ()
abstract int | resumeEffect (int soundId)
abstract int | resumeAllEffects ()
abstract int | stopEffect (int soundId)
abstract int | stopAllEffects ()
abstract int | unloadEffect (int soundId)
abstract int | unloadAllEffects ()
abstract int | getEffectDuration (String filePath)
abstract int | setEffectPosition (int soundId, int pos)
abstract int | getEffectCurrentPosition (int soundId)
abstract int | registerVideoEncodedFrameObserver (IVideoEncodedFrameObserver receiver)
abstract int | registerFaceInfoObserver (IFaceInfoObserver receiver)
abstract int | takeSnapshot (int uid, String filePath)
abstract int | takeSnapshot (int uid, SnapshotConfig config)
abstract int | enableContentInspect (boolean enabled, ContentInspectConfig config)
abstract int | loadExtensionProvider (String path)
abstract int | registerExtension (String provider, String extension, Constants.MediaSourceType sourceType)
abstract int | enableExtension (String provider, String extension, boolean enable)
abstract int | enableExtension (String provider, String extension, boolean enable, Constants.MediaSourceType sourceType)
abstract int | setExtensionProperty (String provider, String extension, String key, String value)
abstract int | setExtensionProperty (String provider, String extension, String key, String value, Constants.MediaSourceType sourceType)
abstract String | getExtensionProperty (String provider, String extension, String key)
abstract String | getExtensionProperty (String provider, String extension, String key, Constants.MediaSourceType sourceType)
abstract int | setExtensionProviderProperty (String provider, String key, String value)
abstract int | enableExtension (String provider, String extension, ExtensionInfo extensionInfo, boolean enable)
abstract int | setExtensionProperty (String provider, String extension, ExtensionInfo extensionInfo, String key, String value)
abstract String | getExtensionProperty (String provider, String extension, ExtensionInfo extensionInfo, String key)
abstract int | startScreenCapture (ScreenCaptureParameters screenCaptureParameters)
abstract int | setExternalMediaProjection (MediaProjection mediaProjection)
abstract int | setScreenCaptureScenario (Constants.ScreenScenarioType screenScenario)
abstract int | stopScreenCapture ()
abstract int | setVideoScenario (Constants.VideoScenario scenarioType)
abstract int | setVideoQoEPreference (Constants.QoEPreference qoePreference)
abstract int | updateScreenCaptureParameters (ScreenCaptureParameters screenCaptureParameters)
abstract int | registerVideoFrameObserver (IVideoFrameObserver observer)
abstract IMediaPlayer | createMediaPlayer ()
abstract AgoraMediaRecorder | createMediaRecorder (RecorderStreamInfo info)
abstract void | destroyMediaRecorder (AgoraMediaRecorder mediaRecorder)
abstract IMediaPlayerCacheManager | getMediaPlayerCacheManager ()
abstract IH265Transcoder | getH265Transcoder ()
abstract int | enableExternalAudioSourceLocalPlayback (boolean enabled)
abstract int | adjustCustomAudioPublishVolume (int trackId, int volume)
abstract int | adjustCustomAudioPlayoutVolume (int trackId, int volume)
abstract int | startRhythmPlayer (String sound1, String sound2, AgoraRhythmPlayerConfig config)
abstract int | stopRhythmPlayer ()
abstract int | configRhythmPlayer (AgoraRhythmPlayerConfig config)
abstract int | setDirectCdnStreamingAudioConfiguration (int profile)
abstract int | setDirectCdnStreamingVideoConfiguration (VideoEncoderConfiguration config)
abstract long | getCurrentMonotonicTimeInMs ()
abstract int | startDirectCdnStreaming (IDirectCdnStreamingEventHandler eventHandler, String publishUrl, DirectCdnStreamingMediaOptions options)
abstract int | stopDirectCdnStreaming ()
abstract int | updateDirectCdnStreamingMediaOptions (DirectCdnStreamingMediaOptions options)
abstract int | createCustomVideoTrack ()
abstract int | createCustomEncodedVideoTrack (EncodedVideoTrackOptions encodedOpt)
abstract int | destroyCustomVideoTrack (int video_track_id)
abstract int | destroyCustomEncodedVideoTrack (int video_track_id)
abstract int | setCloudProxy (int proxyType)
abstract int | setLocalAccessPoint (LocalAccessPointConfiguration config)
abstract int | enableCustomAudioLocalPlayback (int trackId, boolean enabled)
abstract int | setAdvancedAudioOptions (AdvancedAudioOptions options)
abstract int | setAVSyncSource (String channelId, int uid)
abstract int | enableVideoImageSource (boolean enabled, ImageTrackOptions options)
abstract int | enableWirelessAccelerate (boolean enabled)
abstract int | getNetworkType ()
abstract long | getNtpWallTimeInMs ()
abstract int | startMediaRenderingTracing ()
| Start tracing media rendering events. More...
abstract int | enableInstantMediaRendering ()
| Enable instant media rendering. More...
abstract int | setupAudioAttributes (AudioAttributes attr)
abstract boolean | isFeatureAvailableOnDevice (int type)
| Whether the target feature is available for the device. More...
abstract int | sendAudioMetadata (byte[] metadata)
| Send audio metadata. More...

## Additional Inherited Members
Static Public Member Functions inherited from io.agora.rtc2.RtcEngine
static synchronized RtcEngine | create (Context context, String appId, IRtcEngineEventHandler handler) throws Exception
static synchronized RtcEngine | create (RtcEngineConfig config) throws Exception
static synchronized void | destroy ()
| Destroys the RtcEngine object. More...
static synchronized void | destroy (@Nullable IRtcEngineReleaseCallback callback)
| Destroys the RtcEngine object. More...
static int | getRecommendedEncoderType ()
static String | getSdkVersion ()
static String | getMediaEngineVersion ()
static String | getErrorDescription (int error)
Static Protected Attributes inherited from io.agora.rtc2.RtcEngine
static RtcEngineImpl | mInstance = null

## Member Function Documentation

## ◆ updateSharedContext()

abstract int io.agora.rtc2.RtcEngineInternal.updateSharedContext | ( | EGLContext | sharedContext | ) |
| abstract

Shared context of MediaCodec. Only takes effect when using the hardware encoder and texture as the input source.

Parameters

  sharedContext | Shared context

Returns
  int

## ◆ setTextureId()

abstract int io.agora.rtc2.RtcEngineInternal.setTextureId | ( | int | id,
|  | EGLContext | eglContext,
|  | int | width,
|  | int | height,
|  | long | ts
| ) |  |
| abstract

Sets the texture ID to MediaCodec.

Parameters

  id | Texture ID
  eglContext | eglContext which the texture belongs to
  width | Texture's original width
  height | Texture's original height
  ts | Timestamp of the captured frame (ms)

Returns
  Texture ID

## ◆ monitorAudioRouteChange()

abstract int io.agora.rtc2.RtcEngineInternal.monitorAudioRouteChange | ( | boolean | isMonitoring | ) |
| abstract

Enables the audio routing monitoring by the SDK.

Call before joining a channel.

Parameters

  isMonitoring | Default value is true

Returns

## ◆ setApiCallMode()

abstract int io.agora.rtc2.RtcEngineInternal.setApiCallMode | ( | int | syncCallTimeout | ) |
| abstract

Parameters

  syncCallTimeout | Synchronous or asynchronous mode -1: Asynchronous mode >=0: Synchronous mode, timeout (ms)